STAT(3F)

NAME
stat, lstat, fstat - get file status

SYNOPSIS
integer function stat (name, statb)
character*(*) name
integer statb(12)

integer function lstat (name, statb)
character*(*) name
integer statb(12)

integer function fstat (lunit, statb)
integer statb(12)

DESCRIPTION
These routines return detailed information about a file. Stat and lstat return information about file name; fstat returns information about the file associated with fortran logical unit lunit. The order and meaning of the information returned in array statb is as described for the structure stat under stat(2). The ``spare'' values are not included.

The value of either function will be zero if successful; an error code otherwise.

FILES
/usr/lib/libU77.a

SEE ALSO
stat(2), access(3F), perror(3F), time(3F)

BUGS
Pathnames can be no longer than MAXPATHLEN as defined in <sys/param.h>.